SWAPON(8)

NOM
swapon, swapoff - Activer et désactiver les périphériques et fichiers pour la pagination sur disque

SYNOPSIS
Obtenir des informations :
swapon -s [-h] [-V]

Activer ou désactiver :
swapon [-d] [-f] [-p priorité] [-v] fichier_spécial ...
swapoff [-v] fichier_spécial ...

Activer ou désactiver tout :
swapon -a [-e] [-f] [-v]
swapoff -a [-v]

DESCRIPTION
swapon est utilisé pour indiquer les périphériques sur lesquels la pagination et l'échange aura lieu.

Le périphérique ou le fichier utilisé est indiqué par le paramètre fichier_spécial. Il peut être de la forme -L étiquette ou -U UUID pour indiquer le périphérique à l'aide d'une étiquette ou d'un UUID.

Les appels à swapon se produisent normalement dans les fichiers d'initialisation du système, rendant tous les périphériques d'échange disponibles, de telle sorte que l'activité de pagination est répartie sur plusieurs périphériques et fichiers.

swapoff désactive la pagination sur les périphériques ou fichiers indiqués. Quand l'option -a est utilisée, la pagination est désactivée sur tous les périphériques ou fichiers d'échange connus (comme trouvés dans /proc/swaps ou /etc/fstab).

-a, --all
    Tous les périphériques marqués « swap » dans /etc/fstab sont rendus disponibles pour la pagination sauf s'ils possèdent l'option « noauto ». Les périphériques qui sont déjà utilisés en tant que tels sont silencieusement ignorés.

-d, --discard
    Abandonner les pages libérées avant de les réutiliser, si le périphérique d'échange permet les opérations d'abandon ou de rognage. Cela pourrait améliorer les performances sur certains périphériques SSD (« Solid State Devices »), mais c'est rarement le cas. L'option de montage discard de /etc/fstab pourrait aussi permettre d'activer l'option d'abandon.

-e, --ifexists
    Passer silencieusement les périphériques qui n'existent pas. L'option de montage nofail de /etc/fstab pourrait aussi permettre de passer silencieusement les périphériques qui n'existent pas.

-f, --fixpgsz
    Réinitialiser (exec /sbin/mkswap) l'espace d'échange si sa taille de page ne correspond pas à celle du noyau en cours d'exécution. mkswap(2) initialise le périphérique entièrement et ne vérifie pas les blocs corrompus.

-h, --help
    Afficher l'aide.

-L étiquette
    Utiliser avec l'étiquette donné (l'accès à /proc/partitions est nécessaire).

-p, --priority priorité
    Indique la priorité d'un périphérique d'échange. priorité est un entier compris entre 0 et 32767. Les nombres les plus élevés indiquent une priorité plus grande. Consultez swapon(2) pour une description complète des priorités d'espace d'échange. Ajoutez pri=valeur dans le champ option de /etc/fstab pour l'utiliser avec swapon -a.

-s, --summary
    Affiche le résumé par périphérique de l'utilisation de la pagination par disque. Équivalent à « cat /proc/swaps ». Cette option n'est pas disponible dans les versions antérieures à Linux 2.1.25.

-U UUID
    Utiliser la partition avec l'UUID indiqué.

-v, --verbose
    Sortie détaillée.

-V, --version
    Afficher le numéro de version.

NOTES
Vous ne devriez pas utiliser swapon sur un fichier qui comporte des trous. La pagination par dessus NFS (Network File System) peut ne pas fonctionner.

swapon détecte et réécrit automatiquement les signatures d'espace d'échange avec des données des anciens logiciels de mise en veille (par exemple S1SUSPEND, S2SUSPEND, etc.) Si cela n'est pas fait, des données seront corrompues lors du prochain réveil.

swapon pourrait ne pas fonctionner correctement avec un fichier d'échange sur certaines versions de Btrfs, à cause de l'implémentation de fichier d'échange dans le noyau qui s'attend à pouvoir écrire dans le fichier directement, sans aide du système de fichiers. Puisque Btrfs est un système de fichiers utilisant la copie sur écriture (« copy-on-write »), l'emplacement du fichier pourrait changer au risque d'être corrompu. Btrfs interdit activement l'utilisation de fichiers sur ses systèmes de fichiers en refusant de donner la carte du fichier. Cela peut être vu dans le journal système : « swapon: swapfile has holes ». Un contournement possible est de faire une carte du fichier dans un périphérique boucle. Cela permettra au système de fichier de déterminer correctement la cartographie au risque d'une diminution de performances.

VOIR AUSSI
swapon(2), swapoff(2), fstab(5), init(8), mkswap(8), rc(8), mount(8)

FICHIERS
/dev/sd?? les périphériques standards de pagination sur disque
/etc/fstab table de description en ASCII des systèmes de fichiers

HISTORIQUE
La commande swapon est apparue pour la première fois dans BSD 4.0.

DISPONIBILITÉ
La commande swapon fait partie du paquet util-linux, elle est disponible sur <URL:ftp://ftp.kernel.org/pub/linux/utils/util-linux/>.

TRADUCTION
Cette page de manuel a été traduite par Sébastien Blanchet en 2002. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.